<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: include/IO_dijkstra.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">IO_dijkstra.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File that contains the methods used to get inputs from user (files, manual inputs, etc.)  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="dijkstra_8hpp_source.html">../include/dijkstra.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for IO_dijkstra.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="IO__dijkstra_8hpp__incl.png" border="0" usemap="#ainclude_2IO__dijkstra_8hpp" alt=""/></div>
<map name="ainclude_2IO__dijkstra_8hpp" id="ainclude_2IO__dijkstra_8hpp">
<area shape="rect" title="File that contains the methods used to get inputs from user (files, manual inputs,..." alt="" coords="5,5,176,32"/>
<area shape="rect" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra." alt="" coords="9,80,172,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="IO__dijkstra_8hpp__dep__incl.png" border="0" usemap="#ainclude_2IO__dijkstra_8hppdep" alt=""/></div>
<map name="ainclude_2IO__dijkstra_8hppdep" id="ainclude_2IO__dijkstra_8hppdep">
<area shape="rect" title="File that contains the methods used to get inputs from user (files, manual inputs,..." alt="" coords="210,5,381,32"/>
<area shape="rect" href="dijkstra_8cpp.html" title="File which contains the implementation for methods in dijkstra.hpp." alt="" coords="5,80,127,107"/>
<area shape="rect" href="IO__dijkstra_8cpp.html" title="File which contains the implementation for methods in IO_dijkstra.hpp." alt="" coords="151,80,293,107"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="317,80,423,107"/>
<area shape="rect" href="test__dijkstra_8cpp.html" title="File that contains the definitions of the tests used." alt="" coords="447,80,613,107"/>
</map>
</div>
</div>
<p><a href="IO__dijkstra_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr class="memitem:a4dace5d7be9743b0659850bde8628409"><td class="memItemLeft" align="right" valign="top"><a id="a4dace5d7be9743b0659850bde8628409"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>MAX_RAND_NR</b>&#160;&#160;&#160;100</td></tr>
<tr class="separator:a4dace5d7be9743b0659850bde8628409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d71bd743114c866e342b82481760d80"><td class="memItemLeft" align="right" valign="top"><a id="a4d71bd743114c866e342b82481760d80"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>FILE_MAX</b>&#160;&#160;&#160;8192</td></tr>
<tr class="separator:a4d71bd743114c866e342b82481760d80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af364850041ab7c41abddd9e2f78c2ac0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#af364850041ab7c41abddd9e2f78c2ac0">input_by_terminal</a> ()</td></tr>
<tr class="memdesc:af364850041ab7c41abddd9e2f78c2ac0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to get the input from terminal.  <a href="IO__dijkstra_8hpp.html#af364850041ab7c41abddd9e2f78c2ac0">More...</a><br /></td></tr>
<tr class="separator:af364850041ab7c41abddd9e2f78c2ac0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46447e94f6e58437e2df57d253e06e41"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41">print_dijkstra_output</a> ()</td></tr>
<tr class="memdesc:a46447e94f6e58437e2df57d253e06e41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to print the output.  <a href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41">More...</a><br /></td></tr>
<tr class="separator:a46447e94f6e58437e2df57d253e06e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd47201a4c7cd4e0f6a2dcc7fa4bd1fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe">print_dijkstra_input</a> ()</td></tr>
<tr class="memdesc:acd47201a4c7cd4e0f6a2dcc7fa4bd1fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method to print the input.  <a href="IO__dijkstra_8hpp.html#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe">More...</a><br /></td></tr>
<tr class="separator:acd47201a4c7cd4e0f6a2dcc7fa4bd1fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a862a3eb61f13fcdaf3ed46d783b183cb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#a862a3eb61f13fcdaf3ed46d783b183cb">output_to_file</a> (char *filename)</td></tr>
<tr class="memdesc:a862a3eb61f13fcdaf3ed46d783b183cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add the output in a specific file.  <a href="IO__dijkstra_8hpp.html#a862a3eb61f13fcdaf3ed46d783b183cb">More...</a><br /></td></tr>
<tr class="separator:a862a3eb61f13fcdaf3ed46d783b183cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2016b31eb4b57201b2fefe90996ee97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97">input_from_file</a> (char *filename)</td></tr>
<tr class="memdesc:ae2016b31eb4b57201b2fefe90996ee97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the input from file.  <a href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97">More...</a><br /></td></tr>
<tr class="separator:ae2016b31eb4b57201b2fefe90996ee97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d79b97f0b64ee3ee879c53dea1f03f1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#a2d79b97f0b64ee3ee879c53dea1f03f1">input_from_file_nodes_by_keyboard</a> (char *filename)</td></tr>
<tr class="memdesc:a2d79b97f0b64ee3ee879c53dea1f03f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the input from file.  <a href="IO__dijkstra_8hpp.html#a2d79b97f0b64ee3ee879c53dea1f03f1">More...</a><br /></td></tr>
<tr class="separator:a2d79b97f0b64ee3ee879c53dea1f03f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6895dc8f6f8b5cb08327c4945f842fcc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#a6895dc8f6f8b5cb08327c4945f842fcc">input_nodes</a> ()</td></tr>
<tr class="memdesc:a6895dc8f6f8b5cb08327c4945f842fcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> and <a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a>.  <a href="IO__dijkstra_8hpp.html#a6895dc8f6f8b5cb08327c4945f842fcc">More...</a><br /></td></tr>
<tr class="separator:a6895dc8f6f8b5cb08327c4945f842fcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aafb5b424fbe7b42fd0e53e67641fdf41"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDijkstra.html">Dijkstra</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a></td></tr>
<tr class="memdesc:aafb5b424fbe7b42fd0e53e67641fdf41"><td class="mdescLeft">&#160;</td><td class="mdescRight">Global variable.  <a href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">More...</a><br /></td></tr>
<tr class="separator:aafb5b424fbe7b42fd0e53e67641fdf41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File that contains the methods used to get inputs from user (files, manual inputs, etc.) </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="af364850041ab7c41abddd9e2f78c2ac0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af364850041ab7c41abddd9e2f78c2ac0">&#9670;&nbsp;</a></span>input_by_terminal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void input_by_terminal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method to get the input from terminal. </p>
<p>This will get the <a class="el" href="classDijkstra.html#a038c1f4d110df6114080878c74039fcf" title="The size of the maze.">Dijkstra::nr_nodes</a> and <a class="el" href="classDijkstra.html#a4c6686b282d5cf37a96c8c216dc84bef" title="The maze.">Dijkstra::maze</a>, as inputs from the user, and allocate memory for the <a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a>. The maze can be generated manually using <a class="el" href="classDijkstra.html#a2e2995241cd0f7c7e467fac8a20d8978" title="Constructor for manual generation.">Dijkstra::Dijkstra(int **v_maze, int v_nr_nodes)</a> or random using <a class="el" href="classDijkstra.html#a4d2309428b0fb6a81f19fa3d7cd8a9c1" title="Constructor for random generation.">Dijkstra::Dijkstra(int v_nr_nodes)</a>.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html#a2e2995241cd0f7c7e467fac8a20d8978" title="Constructor for manual generation.">Dijkstra::Dijkstra(int **v_maze, int v_nr_nodes)</a> </dd>
<dd>
<a class="el" href="classDijkstra.html#a4d2309428b0fb6a81f19fa3d7cd8a9c1" title="Constructor for random generation.">Dijkstra::Dijkstra(int v_nr_nodes)</a> </dd></dl>

</div>
</div>
<a id="ae2016b31eb4b57201b2fefe90996ee97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2016b31eb4b57201b2fefe90996ee97">&#9670;&nbsp;</a></span>input_from_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int input_from_file </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the input from file. </p>
<p>This method will get from a file the <a class="el" href="classDijkstra.html#a038c1f4d110df6114080878c74039fcf" title="The size of the maze.">Dijkstra::nr_nodes</a> and <a class="el" href="classDijkstra.html#a4c6686b282d5cf37a96c8c216dc84bef" title="The maze.">Dijkstra::maze</a> for the <a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> object. </p><dl class="section warning"><dt>Warning</dt><dd>The <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> and <a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a> are given as parameters when running the program.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Name of the file from which the input is got. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html" title="Dijkstra class.">Dijkstra</a> </dd></dl>

</div>
</div>
<a id="a2d79b97f0b64ee3ee879c53dea1f03f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d79b97f0b64ee3ee879c53dea1f03f1">&#9670;&nbsp;</a></span>input_from_file_nodes_by_keyboard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int input_from_file_nodes_by_keyboard </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the input from file. </p>
<p>Similar to <a class="el" href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97" title="Get the input from file.">input_from_file()</a> but the <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> and <a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a> will be given when the program is running on std::cin.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Name of the file from which the input is got. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="IO__dijkstra_8hpp.html#ae2016b31eb4b57201b2fefe90996ee97" title="Get the input from file.">input_from_file()</a> </dd></dl>

</div>
</div>
<a id="a6895dc8f6f8b5cb08327c4945f842fcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6895dc8f6f8b5cb08327c4945f842fcc">&#9670;&nbsp;</a></span>input_nodes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void input_nodes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> and <a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a>. </p>
<p>Is used to set up the values for variables <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> and <a class="el" href="classDijkstra.html#a6cd0a788a66dc3c191d38050337687de" title="Target node in the maze.">Dijkstra::target_node</a> of <a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> when the program is running using std::cin. </p>

</div>
</div>
<a id="a862a3eb61f13fcdaf3ed46d783b183cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a862a3eb61f13fcdaf3ed46d783b183cb">&#9670;&nbsp;</a></span>output_to_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int output_to_file </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add the output in a specific file. </p>
<p>Similar to <a class="el" href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41" title="Method to print the output.">print_dijkstra_output()</a> but instead of printing on std::cout the messages will be printed in a output file.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Name of the file in which the output is written. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="IO__dijkstra_8hpp.html#a46447e94f6e58437e2df57d253e06e41" title="Method to print the output.">print_dijkstra_output</a> </dd></dl>

</div>
</div>
<a id="acd47201a4c7cd4e0f6a2dcc7fa4bd1fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe">&#9670;&nbsp;</a></span>print_dijkstra_input()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void print_dijkstra_input </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method to print the input. </p>
<p>This method will print the <a class="el" href="classDijkstra.html#a4c6686b282d5cf37a96c8c216dc84bef" title="The maze.">Dijkstra::maze</a> of the <a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> object, after generation, to see all the values from the matrix and check if the maze is actually calculated correctly.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html#a4c6686b282d5cf37a96c8c216dc84bef" title="The maze.">Dijkstra::maze</a> </dd></dl>

</div>
</div>
<a id="a46447e94f6e58437e2df57d253e06e41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46447e94f6e58437e2df57d253e06e41">&#9670;&nbsp;</a></span>print_dijkstra_output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void print_dijkstra_output </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method to print the output. </p>
<p>This method will print the Dijkstra::target_node.Dijkstra_node.dist and <a class="el" href="classDijkstra.html#a7994b590ca8f02bf1577adec2d5ac1c5" title="The visited nodes.">Dijkstra::visited</a> (at this point it should have the path from the <a class="el" href="classDijkstra.html#a324563e8b4f66022c85870e71064e38e" title="Starting node in the maze.">Dijkstra::starting_node</a> to the target) of the <a class="el" href="IO__dijkstra_8hpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> object. </p><dl class="section warning"><dt>Warning</dt><dd>This method should be called after <a class="el" href="classDijkstra.html#a4c13d9d8d5166d78e7b1827a3bfdb42a" title="Function for solving the maze.">Dijkstra::solve_dijkstra()</a></dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classDijkstra.html#a4c13d9d8d5166d78e7b1827a3bfdb42a" title="Function for solving the maze.">Dijkstra::solve_dijkstra()</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aafb5b424fbe7b42fd0e53e67641fdf41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafb5b424fbe7b42fd0e53e67641fdf41">&#9670;&nbsp;</a></span>input</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classDijkstra.html">Dijkstra</a>* input</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Global variable. </p>
<p>Here we will store all the relevant data from the maze, starting_node, target_node, etc. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
